using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace MineTec.ProManager.Migrations
{
    public partial class Supplier : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "Supplier",
                columns: table => new
                {
                    Id = table.Column<Guid>(nullable: false),
                    CreateTime = table.Column<DateTime>(nullable: true),
                    CreateUserID = table.Column<string>(maxLength: 50, nullable: true),
                    CreateUserName = table.Column<string>(maxLength: 50, nullable: true),
                    UpdateTime = table.Column<DateTime>(nullable: true),
                    UpdateUserID = table.Column<string>(maxLength: 50, nullable: true),
                    UpdateUserName = table.Column<string>(maxLength: 50, nullable: true),
                    SupplierCode = table.Column<string>(maxLength: 50, nullable: true),
                    SupplierName = table.Column<string>(maxLength: 100, nullable: true),
                    Mainbusiness = table.Column<string>(maxLength: 100, nullable: true),
                    Contacts = table.Column<string>(maxLength: 50, nullable: true),
                    Supplygoods_services = table.Column<string>(maxLength: 100, nullable: true),
                    Price_old = table.Column<decimal>(nullable: false),
                    Price = table.Column<decimal>(nullable: false),
                    Mobilephone = table.Column<string>(maxLength: 100, nullable: true),
                    Fixedtelephone = table.Column<string>(maxLength: 100, nullable: true),
                    Email = table.Column<string>(maxLength: 100, nullable: true),
                    Address = table.Column<string>(maxLength: 100, nullable: true),
                    Website = table.Column<string>(maxLength: 100, nullable: true),
                    Remark = table.Column<string>(maxLength: 300, nullable: true),
                    IsDelete = table.Column<int>(nullable: false),
                    CreationTime = table.Column<DateTime>(nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Supplier", x => x.Id);
                });
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Supplier");
        }
    }
}
